Bug 1875038 - panic in authentication operator
Summary: panic in authentication operator
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: David Eads
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-02 20:01 UTC by David Eads
Modified: 2020-09-15 12:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 333 None closed bug 1875038: fix panic in informer wait 2020-09-14 21:04:33 UTC
Github openshift cluster-authentication-operator pull 334 None closed bug 1875038: endpointaccessible: do not panic when no endpoints are found 2020-09-14 21:04:33 UTC
Github openshift cluster-kube-apiserver-operator pull 941 None closed bug 1875038: update library-go to get 874 and prevent panic 2020-09-14 21:04:34 UTC
Github openshift cluster-kube-controller-manager-operator pull 444 None closed bug 1875038: update library-go to get 874 and prevent panic 2020-09-14 21:04:33 UTC
Github openshift cluster-kube-scheduler-operator pull 277 None closed bug 1875038: update library-go to get 874 and prevent panic 2020-09-14 21:04:32 UTC
Github openshift cluster-openshift-apiserver-operator pull 386 None closed bug 1875038: update library-go to get 874 and prevent panic 2020-09-14 21:04:33 UTC
Github openshift oauth-apiserver pull 18 None closed Bug bug 1875038: bump golang to 1.14 2020-09-14 21:04:32 UTC
Github openshift oauth-server pull 53 None closed bug 1875038: bump golang to 1.14 2020-09-14 21:04:32 UTC
Github openshift oauth-server pull 54 None closed bug 1875038: bump kube to 1.19 2020-09-14 21:04:34 UTC

Description David Eads 2020-09-02 20:01:22 UTC
shows as permafailed for https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-blocking#release-openshift-origin-installer-e2e-aws-serial-4.6

because it doesn't have green bubbles, this slipped through finding earlier

supposedly fixed by https://github.com/openshift/library-go/pull/874

Comment 1 W. Trevor King 2020-09-02 20:37:26 UTC
*** Bug 1875046 has been marked as a duplicate of this bug. ***

Comment 2 W. Trevor King 2020-09-02 20:38:52 UTC
Copying over some data from bug 1875046 for Sippy, this issue can cause the:

  Undiagnosed panic detected in pod 

test to fail with errors like [1]:

  pods/openshift-kube-apiserver_kube-apiserver-ci-op-x44nqxlf-2f611-bdgq5-master-1_kube-apiserver.log.gz:E0902 19:31:10.506239      17 runtime.go:76] Observed a panic: runtime error: invalid memory address or nil pointer dereference

[1]: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-upgrade-4.6/1301225743073677312

Comment 3 W. Trevor King 2020-09-04 17:53:41 UTC
The:

  Undiagnosed panic detected in pod

JUnit is a non-fatal, informer test case based on some gist scraping logs [1].  Folks outside the implicated components don't have to worry about it.

[1]: https://github.com/openshift/release/pull/11588


Note You need to log in before you can comment on or make changes to this bug.